#include <stdio.h>

struct Point {
	short int x;
	short int y;
	short int z;
};

struct fPoint {
	float x;
	float y;
	float z;
};


class CMass  
{
public:
	CMass();
	virtual ~CMass();

	void Initialize (short int x,short int y,short int z,short int m,short int A,short int Fx,short int Fy,short int Fz);
	void UpdateForces(short int Fx,short int Fy,short int Fz);
	void CalculateForces(float kp,float kd,float ki,float kp2,float kd2,float ki2,float kp3,float kd3,float ki3,short int x,short int y,short int z);
	void CalculateNextLocation();
	void GetForcesStr(char *str);
	void GetLocationStr(char *str);

	struct Point Location;
	struct fPoint fLocation;
private:
	
	struct fPoint PreviousLoc;
	struct Point Force;
	struct fPoint ForceIntegrals;
	struct fPoint ErrorIntegrals;

	short int Mass;
	short int Air;

};
